function y=generator1d2d(d,gen)

% function y = generator1d2d(d,gen)
% plots the generators given in gen
% assumes that gen was loaded from
% a .chl file, i.e. the actual 
% data for the diagonals is given in
% columns 3 to 6

xA = [gen(:,3)'; gen(:,5)'];
yA = [gen(:,4)'; gen(:,6)'];

patch(xA, yA, 'b');
axis([0 2^d 0 2^d]);

